<?xml version="1.0" encoding="UTF-8"?>       
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
		
<!-- Start the Req Info -->		
	<xsl:template match="//Requirement">
		<xsl:variable name="reqPrefix"> 
			<xsl:apply-templates select="RequirementPrefix/OldText"/>
		</xsl:variable>
		 				
 		<!-- check the name and text -->
      	<!--<xsl:if test="(string-length(RequirementName/NewText) + string-length(RequirementText/NewText))>0"> -->
      	<xsl:if test="string-length(@ModFlag)>0">
      	
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when>	          		
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when> 	          		 
	      			<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when>		
					<xsl:when test="string-length(RequirementName/NewText)>0"> 
		      	    	<xsl:value-of select="$modified"/> 
	      	 	 	</xsl:when> 	          		          		
					<xsl:when test="string-length(RequirementText/NewText)>0"> 
		      	    	<xsl:value-of select="$modified"/> 
	      	 	 	</xsl:when> 	      	 	 	
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$noChange"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptReqLbl"/>
			</td>      		
			<td ALIGN="LEFT" height="19">
				<xsl:choose> 
					<!-- for inserted reqs we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(RequirementName/OldText)>0"> 
						<xsl:apply-templates select="RequirementName/OldText"/>         	
		          	</xsl:when>		          	
			      	<xsl:otherwise> 
			      	    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 </xsl:otherwise>  	
		      	</xsl:choose>							
			</td>    
			<td ALIGN="LEFT" height="19">
				<xsl:choose> 
					<!-- for deleted reqs we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
	          		</xsl:when>					
		      		<xsl:when test="string-length(RequirementName/NewText)>0"> 
						<xsl:apply-templates select="RequirementName/NewText"/>         	
		          	</xsl:when> 
		      		<xsl:when test="string-length(RequirementName/OldText)>0"> 
						<xsl:apply-templates select="RequirementName/OldText"/>         	
		          	</xsl:when>		          	
			      	<xsl:otherwise> 
			      	    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 </xsl:otherwise> 	
		      	</xsl:choose>			 	 			
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:choose> 
					<!-- for inserted reqs we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 		
					<xsl:when test="string-length(RequirementText/OldText)>0"> 
						<xsl:apply-templates select="RequirementText/OldText"/>         	
		          	</xsl:when> 		          	
			      	<xsl:otherwise> 
			      	    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 </xsl:otherwise> 					
		      	</xsl:choose>				
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:choose> 
					<!-- for deleted reqs we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
	          		</xsl:when>					
		      		<xsl:when test="string-length(RequirementText/NewText)>0"> 
						<xsl:apply-templates select="RequirementText/NewText"/>         	
		          	</xsl:when> 
					<xsl:when test="string-length(RequirementText/OldText)>0"> 
						<xsl:apply-templates select="RequirementText/OldText"/>         	
		          	</xsl:when> 		          	
			      	<xsl:otherwise> 
			      	    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 </xsl:otherwise> 	
		      	</xsl:choose>			 			      		  		 
			</td>			
		</tr>
        </xsl:if>  		
        
		<!-- check the prefix -->	
      	<xsl:if test="string-length(RequirementPrefix/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptReqLbl"/>
			</td>      		
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptTagLbl"/>
			</td>    
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptTagLbl"/>
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="RequirementPrefix/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="RequirementPrefix/NewText"/>  
			</td>			
		</tr>
        </xsl:if>         

		<!-- check the flags -->	
      	<xsl:if test="string-length(Flags/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptReqLbl"/>
			</td>      		
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptFlagsLbl"/>
			</td>    
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptFlagsLbl"/>
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="Flags/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="Flags/NewText"/>  
			</td>			
		</tr>
        </xsl:if> 
        
		<!-- check the Package -->	
      	<xsl:if test="string-length(Package/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptReqLbl"/>
			</td>      		
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptPkgLbl"/>
			</td>    
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$rptPkgLbl"/>
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="Package/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="Package/NewText"/>  
			</td>			
		</tr>
        </xsl:if>         
 		
 		
 		<!-- check the Req Doc Info -->	
 		
 		<!-- check the BookmarkName Info -->	
 		<!--
      	<xsl:if test="string-length(ReqDocInfo/BookmarkName/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				Requirement
			</td>      		
			<td ALIGN="LEFT" height="19">
				Bookmark Name
			</td>    
			<td ALIGN="LEFT" height="19">
				Bookmark Name
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/BookmarkName/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/BookmarkName/NewText"/>  
			</td>			
		</tr>
        </xsl:if>   
        --> 	

		<!-- check the BookmarkDocumentID Info -->  
		<!--
      	<xsl:if test="string-length(ReqDocInfo/BookmarkDocumentID/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				Requirement
			</td>      		
			<td ALIGN="LEFT" height="19">
				Bookmark Document ID
			</td>    
			<td ALIGN="LEFT" height="19">
				Bookmark Document ID
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/BookmarkDocumentID/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/BookmarkDocumentID/NewText"/>  
			</td>			
		</tr>
        </xsl:if> 
         -->          

		<!-- check the DocumentPosition Info -->        
		<!--
      	<xsl:if test="string-length(ReqDocInfo/DocumentPosition/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				Requirement
			</td>      		
			<td ALIGN="LEFT" height="19">
				Bookmark Position
			</td>    
			<td ALIGN="LEFT" height="19">
				Bookmark Position
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/DocumentPosition/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/DocumentPosition/NewText"/>  
			</td>			
		</tr>
        </xsl:if>    
         -->         
         
		<!--
      	<xsl:if test="string-length(ReqDocInfo/LastDocText/NewText)>0"> 
      	<tr>
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$reqPrefix"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$modified"/> 
			</td>
			<td ALIGN="LEFT" height="19">
				Requirement
			</td>      		
			<td ALIGN="LEFT" height="19">
				Last Document Text
			</td>    
			<td ALIGN="LEFT" height="19">
				Last Document Text
			</td> 						
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/LastDocText/OldText"/>  
			</td>	             	
	  		<td ALIGN="LEFT" height="19">
				<xsl:apply-templates select="ReqDocInfo/LastDocText/NewText"/>  
			</td>			
		</tr>
        </xsl:if>    
         -->                
        <!-- end of the Req Doc Info -->		

		<!-- check the FieldValues -->	
		<xsl:for-each select='FieldValues/FieldValue'>	

			<xsl:if test="string-length(@ModFlag)>0">
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$reqPrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when>
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>	          		
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when> 	          		 
		      			<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>		          		
			      		<xsl:otherwise> 
			      	    	<xsl:value-of select="$modified"/> 
		      	 	 	</xsl:otherwise> 	
		      		</xsl:choose>
				</td>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$rptReqFVLbl"/>
				</td>      		
				
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for inserted fieldvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:apply-templates select="FieldLabel/OldText"/>
						</xsl:otherwise> 	
			      	</xsl:choose>					
				</td> 
										
		  		<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for deleted fieldvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when>						
			      		<xsl:when test="string-length(FieldLabel/NewText)>0"> 
							<xsl:apply-templates select="FieldLabel/NewText"/>         	
			          	</xsl:when> 
				      	<xsl:otherwise> 
				      	    <xsl:apply-templates select="FieldLabel/OldText"/>
			      	 	 </xsl:otherwise> 	
			      	</xsl:choose> 		  		
				</td>			

				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for inserted fieldvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:apply-templates select="FieldText/OldText"/>
						</xsl:otherwise> 	
			      	</xsl:choose>
				</td> 
										
		  		<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for deleted fieldvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when>					
			      		<xsl:when test="string-length(FieldText/NewText)>0"> 
							<xsl:apply-templates select="FieldText/NewText"/>         	
			          	</xsl:when> 
				      	<xsl:otherwise> 
				      	    <xsl:apply-templates select="FieldText/OldText"/>
			      	 	 </xsl:otherwise> 	
			      	</xsl:choose> 		  		
				</td>							
			</tr>			
			</xsl:if>
 	 			
		</xsl:for-each>			

		<!-- check the ListValues -->	
		<xsl:for-each select='ListValues/ListValue'>	

			<xsl:if test="string-length(@ModFlag)>0">
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$reqPrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when>
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>	          		
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when> 	          		 
		      			<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>		          		
			      		<xsl:otherwise> 
			      	    	<xsl:value-of select="$modified"/> 
		      	 	 	</xsl:otherwise> 	
		      		</xsl:choose>
				</td>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$rptReqLVLbl"/>
				</td>      		
				
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for inserted listvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:apply-templates select="ListLabel/OldText"/>
						</xsl:otherwise> 	
			      	</xsl:choose>					
				</td> 
										
		  		<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for deleted listvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when>						
			      		<xsl:when test="string-length(ListLabel/NewText)>0"> 
							<xsl:apply-templates select="ListLabel/NewText"/>         	
			          	</xsl:when> 
				      	<xsl:otherwise> 
				      	    <xsl:apply-templates select="ListLabel/OldText"/>
			      	 	 </xsl:otherwise> 	
			      	</xsl:choose> 		  		
				</td>			

				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for inserted listvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:apply-templates select="ListItemText/OldText"/>
						</xsl:otherwise> 	
			      	</xsl:choose>
				</td> 
										
		  		<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<!-- for deleted listvalues we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		          		</xsl:when>					
			      		<xsl:when test="string-length(ListItemText/NewText)>0"> 
							<xsl:apply-templates select="ListItemText/NewText"/>         	
			          	</xsl:when> 
				      	<xsl:otherwise> 
				      	    <xsl:apply-templates select="ListItemText/OldText"/>
			      	 	 </xsl:otherwise> 	
			      	</xsl:choose> 		  		
				</td>							
			</tr>			
			</xsl:if>
 	 			
		</xsl:for-each>	

		<!-- check the TraceFrom -->			  		
		<xsl:for-each select='TraceFrom/TraceReq'>
			<xsl:if test="string-length(@ModFlag)>0">	
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$reqPrefix"/> 					
				</td>     				
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when>
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>	          		
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when> 	          		 
		      			<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>		          		
			      		<xsl:otherwise> 
			      	    	<xsl:value-of select="$modified"/> 
		      	 	 	</xsl:otherwise> 	
		      		</xsl:choose>
				</td>				
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$rptTFromLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">		
					<xsl:choose> 
						<!-- for inserted TraceFrom req we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise> 	
			      	</xsl:choose>																										
				</td> 				
				<td ALIGN="LEFT" height="19">						
					<xsl:choose> 
						<!-- for deleted TraceFrom req we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise> 	
			      	</xsl:choose>					
				</td> 			
				<td ALIGN="LEFT" height="19">		
					<xsl:choose> 
						<!-- for inserted TraceFrom req we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 	
							<xsl:if test="State/OldText=1">		          				
		          				<xsl:value-of select="$suspect"/>		          				
		          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
		          			</xsl:if>		          							
							<xsl:apply-templates select="TraceReqTag/OldText"/>	
						</xsl:otherwise> 	
			      	</xsl:choose>																										
				</td> 				
				<td ALIGN="LEFT" height="19">						
					<xsl:choose> 
						<!-- for deleted TraceFrom req we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
						<xsl:when test="string-length(TraceReqTag/NewText)>0">
							<xsl:choose> 
								<xsl:when test="string-length(State/NewText)>0"> 
									<xsl:if test="State/NewText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>
				          		</xsl:when>	
				          		<xsl:otherwise> 	
									<xsl:if test="State/OldText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>				          		
				          		</xsl:otherwise>	
				          	</xsl:choose>						 						
							<xsl:apply-templates select="TraceReqTag/NewText"/>         	
			          	</xsl:when> 		          		
		          		<xsl:otherwise> 						
							<xsl:choose> 
								<xsl:when test="string-length(State/NewText)>0"> 
									<xsl:if test="State/NewText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>
				          		</xsl:when>	
				          		<xsl:otherwise> 	
									<xsl:if test="State/OldText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>				          		
				          		</xsl:otherwise>	
				          	</xsl:choose>		          		
							<xsl:apply-templates select="TraceReqTag/OldText"/>	
						</xsl:otherwise> 	
			      	</xsl:choose>								
				</td>			      	
			</tr>
			</xsl:if>			
		</xsl:for-each>	
		
		<!-- check the TraceTo -->			  		
		<xsl:for-each select='TraceTo/TraceReq'>
			<xsl:if test="string-length(@ModFlag)>0">	
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$reqPrefix"/> 					
				</td>     				
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when>
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>	          		
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when> 	          		 
		      			<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>		          		
			      		<xsl:otherwise> 
			      	    	<xsl:value-of select="$modified"/> 
		      	 	 	</xsl:otherwise> 	
		      		</xsl:choose>
				</td>				
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$rptTToLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">		
					<xsl:choose> 
						<!-- for inserted TraceTo req we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise> 	
			      	</xsl:choose>																										
				</td> 				
				<td ALIGN="LEFT" height="19">						
					<xsl:choose> 
						<!-- for deleted TraceTo req we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>		
						</xsl:otherwise> 	
			      	</xsl:choose>					
				</td> 			
				<td ALIGN="LEFT" height="19">		
					<xsl:choose> 
						<!-- for inserted TraceTo req we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
		          		<xsl:otherwise> 						
		          			<xsl:if test="State/OldText=1">		          				
		          				<xsl:value-of select="$suspect"/>
		          				
		          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
		          			</xsl:if>
							<xsl:apply-templates select="TraceReqTag/OldText"/>	
						</xsl:otherwise> 	
			      	</xsl:choose>																										
				</td> 				
				<td ALIGN="LEFT" height="19">						
					<xsl:choose> 
						<!-- for deleted TraceTo req we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
						<xsl:when test="string-length(TraceReqTag/NewText)>0"> 
							<xsl:choose> 
								<xsl:when test="string-length(State/NewText)>0"> 
									<xsl:if test="State/NewText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>
				          		</xsl:when>	
				          		<xsl:otherwise> 	
									<xsl:if test="State/OldText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>				          		
				          		</xsl:otherwise>	
				          	</xsl:choose>						          			
							<xsl:apply-templates select="TraceReqTag/NewText"/>         	
			          	</xsl:when> 		          		
		          		<xsl:otherwise> 			
							<xsl:choose> 
								<xsl:when test="string-length(State/NewText)>0"> 
									<xsl:if test="State/NewText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>
				          		</xsl:when>	
				          		<xsl:otherwise> 	
									<xsl:if test="State/OldText=1">		          				
				          				<xsl:value-of select="$suspect"/>		          				
				          				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>   
				          			</xsl:if>				          		
				          		</xsl:otherwise>	
				          	</xsl:choose>									          					
							<xsl:apply-templates select="TraceReqTag/OldText"/>	
						</xsl:otherwise> 	
			      	</xsl:choose>								
				</td>			      	
			</tr>
			</xsl:if>			
		</xsl:for-each>			
					
	</xsl:template>
	<!-- end the Req Info -->	
	
	<!-- The History section -->	
	<xsl:template match="//Requirement/History">
		<xsl:for-each select='ReqVersionInfo'>
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
						<xsl:when test="string-length(../../RequirementPrefix/NewText)>0"> 
							<xsl:apply-templates select="../../RequirementPrefix/NewText"/>   							        	
			          	</xsl:when> 		          		
		          		<xsl:otherwise>          								
							<xsl:apply-templates select="../../RequirementPrefix/OldText"/>	
						</xsl:otherwise>
					</xsl:choose>		
				</td>
				<td ALIGN="LEFT" height="19">
					<xsl:apply-templates select="VersionNumber"/>		
				</td>
				<td ALIGN="LEFT" height="19">
					<xsl:apply-templates select="VersionUserFullName"/>		
				</td>				
				<td ALIGN="LEFT" height="19">
					<xsl:apply-templates select="VersionDateTime"/>		
				</td>				
				<td ALIGN="LEFT" height="19">
					<xsl:apply-templates select="VersionReason"/>		
				</td>				
				<td ALIGN="LEFT" height="19">	
					<xsl:choose> 
						<!-- for new history put an X in this column -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text> x </xsl:text>
						</xsl:when> 		          		
		          		<xsl:otherwise>
		          			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text> 													
						</xsl:otherwise> 	
			    	</xsl:choose>										
				</td>
			</tr>
		</xsl:for-each>	
		
	</xsl:template>	
	
<!-- The Discussion section -->	
	<xsl:template match="//Requirement/Discussions">		
		<xsl:for-each select='Discussion'>	
		
			<xsl:variable name="DiscID">
	  			<xsl:apply-templates select="DiscID"/>
	  		</xsl:variable>	
		
			<tr>
				<td ALIGN="LEFT" height="19">
		
					<xsl:choose> 						
						<xsl:when test="string-length(../../RequirementPrefix/NewText)>0"> 
							<xsl:apply-templates select="../../RequirementPrefix/NewText"/> 														        	
			          	</xsl:when> 		          		
		          		<xsl:otherwise> 						
							<xsl:apply-templates select="../../RequirementPrefix/OldText"/>										 							
						</xsl:otherwise>
					</xsl:choose>
					
				</td>
				
				<!--  need to put a link back to the discussion here -->				
				<td ALIGN="LEFT" height="19">			
					<a href="CompareResultFor-Discussions.html#{$DiscID}">			
						<xsl:choose> 					
							<xsl:when test="string-length(Subject)>0"> 
								<xsl:apply-templates select="Subject"/>         	
		          			</xsl:when> 
			      			<xsl:otherwise> 
			      	    		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 		</xsl:otherwise>
		      	 		</xsl:choose> 					
					</a>		      	 	
				</td>			
										
			</tr>
			

		</xsl:for-each>		
		
	</xsl:template>			
		
</xsl:stylesheet>